define([
    'underscore',
    'backbone'
], function (_, Backbone) {

    return Backbone.Model.extend({

        defaults: {
            id: null,
            name: null,
            description: null,
            t_description: null,
            category: null,
            coins: null
        },
        initialize: function (data) {
            for(key in data)
                this[key]=data[key];
        },
        urlRoot: function () {
            return '/user/'+this.userID+'/shop/basket';
        },
        parse: function (res) {
            // because of jsonp
            return res.data;
        }

    });
});