define([
    'underscore',
    'backbone'
], function (_, Backbone) {

    return Backbone.Model.extend({

        defaults: {
            id: null, //access_token
            id_facebook: null,
            name: null,
            email: null,
            first_name: null,
            last_name: null,
            link: null,
            gender: null,
            timezone: null,
            locale: null,
            birthday: null,
            friends: null,
            coins: null
        },
        initialize: function (data) {
            for (key in data)
                this[key] = data[key];
        },
        urlRoot: function () {
            return '/user';
        },
        parse: function (res) {
            // because of jsonp
            return res.data;
        }
    });
});
