// Filename: views/projects/list
define([
    'jquery',
    'underscore',
    'backbone',
    'facebook',
    'text!templates/user/albumListTemplate.html',
    'jqueryfbp'

], function ($, _, Backbone, facebook, template, fb1) {

    return Backbone.View.extend({
        el: $(".row"),
        initialize: function () {
            $(this.el).unbind("click");
        },
        render: function () {

            var data = {
                photos: this.collection,
                _: _
            };

            var compiledTemplate = _.template(template, data);
            $(".row").append(compiledTemplate);
            $(".fancybox").fancybox(initFancyBox);
        }
    });
});
