// Filename: views/projects/list
define([
    'jquery',
    'underscore',
    'backbone',
    'facebook',
    'text!templates/user/albumsListTemplate.html'

], function ($, _, Backbone, facebook, template) {
    return Backbone.View.extend({
        el: $(".row"),
        initialize : function() {
            $(this.el).unbind("click");
        },
        render: function () {

            var data = {
                albums: this.collection,
                _: _
            };

            var compiledTemplate = _.template(template, data);
            $(".row").append(compiledTemplate);
        }
    });
});
