module.exports = function(sequelize, DataTypes) {
	var Photo = sequelize.define('Photo', {
        id_photo :  DataTypes.STRING(255),
        source : DataTypes.STRING(255),
        date  : DataTypes.STRING(255),
        comments : DataTypes.INTEGER,
        likes : DataTypes.INTEGER,
        value : {type:DataTypes.INTEGER,defaultValue: 0}
	}, {
		classMethods : {
			associate : function(models) {
                Photo.belongsTo(models.Logo, {foreignKey: 'logo', as: 'image'});
                Photo.belongsTo(models.User, {foreignKey: 'user', as: 'user2'});
               }
		}
	});
	return Photo;
};