module.exports = function(sequelize, DataTypes) {
	var Product = sequelize.define('Product', {
		name : DataTypes.STRING(255),
        description : DataTypes.STRING(255),
        t_description : DataTypes.STRING(512),
        category : DataTypes.STRING(255),
		coins : DataTypes.INTEGER,
        quantity : DataTypes.INTEGER
	}, {
		classMethods : {
			associate : function(models) {
                Product.hasMany(models.ProductImage, {as:'images',foreignKey:'productid'});
                Product.hasMany(models.BasketLine, {as:'basketline',foreignKey:'product'});
                Product.hasMany(models.SaleLine, {as:'saleline',foreignKey:'product'});
            }
		}
	});
	return Product;
};