define([
    'underscore',
    'backbone'
], function (_, Backbone) {

    return Backbone.Model.extend({

        defaults: {
            id:null,
            name: null,
            ext:null
        },
        initialize: function (data) {
            for(key in data)
                this[key]=data[key];
        },
        fileAttribute: 'file',
        urlRoot: function () {
            return '/company/logos';
        },
        parse: function (res) {
            // because of jsonp
            return res.data;
        }
    });
});
