define([
    'underscore',
    'backbone'
], function (_, Backbone) {

    return Backbone.Model.extend({

        defaults: {
            "access_token" : null,
            "id_photo": null,
            "source": null,
            "date": null,
            "comments": null,
            "likes": null,
            "value":null

        },
        initialize: function (data) {
            for (key in data)
                this[key] = data[key];
        },
        urlRoot: function () {
            return '/user/photos';
        },
        parse: function (res) {
            // because of jsonp
            return res.data;
        }
    });
});