define([
        'jquery', 'jquerycookie', 'underscore', 'backbone',
        'main2',
        'text!templates/company/productsPhotosTemplate.html'
    ],
    function ($, cookie, _, Backbone, main, template) {

        return Backbone.View.extend({
            el: $("#photos"),
            initialize: function () {
                $(this.el).unbind("click");
            },
            render: function () {
                var data = {
                    photos: this.collection,
                    _: _
                };
                console.log(data);
                var compiledTemplate = _.template(template, data);

                $("#photos").html(compiledTemplate);
            }
        });
    });