define([
        'jquery',
        'underscore',
        'backbone',
        'text!templates/user/homeTemplate.html',
        'fb',
        'main2'
    ],
    function ($, _, Backbone, template, facebook, main) {

        return Backbone.View.extend({
            el: $("#content"),
            initialize: function () {
                $(this.el).unbind("click");
            },
            render: function () {
                $("#content").html(template);
                console.log("home");
                FB.getLoginStatus(function (response) {
                    if (response.status === 'connected') {
                        initMenuUser("#menu-home");
                        $("#facebookLogin").hide();
                        $("#mainLogout").fadeTo(0, 0);
                        $("#mainLogout").empty();
                        $("#messageLogin").css('visibility','visible').hide().fadeIn('slow');
                        FB.api('me', function (response) {
                            $("#name").html('<a href="' + response.link + '" target="blank">' + response.name + '</a>');
                        });
                    }
                    else
                    {
                        clearMenu();
                        $("#facebookLogin").css('visibility','visible').hide().fadeIn('slow');
                    }
                });
            }
        });
    });
